# Update a Lead Custom Field

PUT https://api.close.com/api/v1/custom_field/lead/{id}/
Content-Type: application/json

You can rename it, change its type, change whether it accepts multiple values or not, change whether editing its values is restricted to specific Roles, or update the options for a "choices" field type. The updated name will immediately appear in the Close UI and only valid values for the updated `type` will be returned by the Lead API.

Some of the type changes need to convert all of the existing values for a given Custom Field to the new type. When this is required, the response will include an additional `converting_to_type` field. When the conversion is done, `converting_to_type` will no longer be returned.

Reference: https://developer.close.com/api/resources/custom-fields/custom-fields-lead/update

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Close API
  version: 1.0.0
paths:
  /custom_field/lead/{id}/:
    put:
      operationId: update
      summary: Update a Lead Custom Field
      description: >-
        You can rename it, change its type, change whether it accepts multiple
        values or not, change whether editing its values is restricted to
        specific Roles, or update the options for a "choices" field type. The
        updated name will immediately appear in the Close UI and only valid
        values for the updated `type` will be returned by the Lead API.


        Some of the type changes need to convert all of the existing values for
        a given Custom Field to the new type. When this is required, the
        response will include an additional `converting_to_type` field. When the
        conversion is done, `converting_to_type` will no longer be returned.
      tags:
        - subpackage_customFieldsLead
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: Basic authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/custom_fields.lead_update_Response_200'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                description: Any type
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                description: Any type
        '404':
          description: Not found
          content:
            application/json:
              schema:
                description: Any type
      requestBody:
        content:
          application/json:
            schema:
              description: Any type
servers:
  - url: https://api.close.com/api/v1
components:
  schemas:
    custom_fields.lead_update_Response_200:
      type: object
      properties: {}
      description: Empty response body
      title: custom_fields.lead_update_Response_200
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: basic
    OAuth2:
      type: http
      scheme: bearer

```